package com.br.fechadura.mobile

import CadastrarGrupoUsuario
import android.os.Bundle
import androidx.activity.ComponentActivity
import androidx.activity.compose.setContent
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.material3.MaterialTheme
import androidx.compose.material3.Surface
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import androidx.navigation.compose.NavHost
import androidx.navigation.compose.composable
import androidx.navigation.compose.rememberNavController
import com.br.fechadura.mobile.ui.screens.*
import com.br.fechadura.mobile.ui.screens.grupoPortas.CadastrarGrupoPorta
import com.br.fechadura.mobile.ui.theme.FechaduraMobileTheme
import com.br.fechadura.mobile.ui.screens.grupoPortas.GrupoPortaScreen
import com.br.fechadura.mobile.ui.screens.grupoUsuarios.GrupoUsuarioScreen
import com.br.fechadura.mobile.ui.screens.login.LoginScreen
import com.br.fechadura.mobile.ui.screens.portas.CadastrarPorta
import com.br.fechadura.mobile.ui.screens.portas.EditarPorta
import com.br.fechadura.mobile.ui.screens.portas.PortaScreen
import com.br.fechadura.mobile.ui.screens.portas.VisualizarPorta
import com.br.fechadura.mobile.ui.screens.usuario.CadastrarUsuario
import com.br.fechadura.mobile.ui.screens.usuario.EditarUsuario
import com.br.fechadura.mobile.ui.screens.usuario.UsuarioScreen
import com.br.fechadura.mobile.ui.screens.usuario.VisualizarUsuario

class MainActivity : ComponentActivity() {
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContent {
            FechaduraMobileTheme {
                Surface(
                    modifier = Modifier.fillMaxSize(),
                    color = MaterialTheme.colorScheme.background
                ) {
                    Navigation()
                }
            }
        }
    }
}

@Composable
fun Navigation() {
    val navController = rememberNavController()
    NavHost(navController = navController, startDestination = "carregamento") {
        composable("carregamento") { CarregamentoScreen(navController) }
        composable("login") { LoginScreen(navController)}
        composable("inicio") { InicioScreen(navController) }
        composable("perfil") { PerfilScreen(navController) }
        composable("usuario") { UsuarioScreen(navController) }
        composable("cadastrar-usuario") { CadastrarUsuario(navController)}
        composable("visualizar-usuario") { VisualizarUsuario(navController) }
        composable("editar-usuario") { EditarUsuario(navController) }
        composable("grupo_usuario") { GrupoUsuarioScreen(navController) }
        composable("cadastrar-grupo-usuario"){ CadastrarGrupoUsuario(navController)}
        composable("porta") { PortaScreen(navController) }
        composable("cadastrar-porta"){ CadastrarPorta(navController) }
        composable("visualizar-porta"){ VisualizarPorta(navController) }
        composable("editar-porta"){ EditarPorta(navController) }
        composable("grupo_porta") { GrupoPortaScreen(navController) }
        composable("cadastrar-grupo-porta"){ CadastrarGrupoPorta(navController) }
    }
}
