package com.br.fechadura.mobile.sampledata

import com.br.fechadura.mobile.api.model.GrupoPorta
import com.br.fechadura.mobile.api.model.GrupoUsuario
import com.br.fechadura.mobile.api.model.Porta
import com.br.fechadura.mobile.api.model.Usuario

val sampleData = listOf(
    Usuario(nome = "Vinicius Daniel", ativo = true) ,
    Usuario(nome = "Guilherme", ativo = true),
    Usuario(nome = "Fábio", ativo = true),
    Usuario(nome = "Lucineia", ativo = true),
    Usuario(nome = "Aminah", ativo = true),
    Usuario(nome = "Cristopher", ativo = true),
    Usuario(nome = "Mateus", ativo = true),
    Usuario(nome = "Pablo", ativo = true),
    Usuario(nome = "Theodoro", ativo = true),
    Usuario(nome = "Alexandre", ativo = true),
    Usuario(nome = "Wilgler", ativo = true),
    Usuario(nome = "Gabriely", ativo = true),
    Usuario(nome = "Mirelle", ativo = true),
    Usuario(nome = "Luccas", ativo = true),
    Usuario(nome = "Gustavo", ativo = true),
    Usuario(nome = "José Junior", ativo = true),
    Usuario(nome = "Yasmin", ativo = true)
)

val sampleDataDoors = listOf(
    Porta(descricao = "Porta A1", ambiente = "Bloco A", ativo = true),
    Porta(descricao = "Porta A2", ambiente = "Bloco A", ativo = true),
    Porta(descricao = "Porta A3", ambiente = "Bloco A", ativo = true),
    Porta(descricao = "Porta A4", ambiente = "Bloco A", ativo = true),
    Porta(descricao = "Porta A5", ambiente = "Bloco A", ativo = true),
    Porta(descricao = "Porta B1", ambiente = "Bloco B", ativo = true),
    Porta(descricao = "Porta B2", ambiente = "Bloco B", ativo = true),
    Porta(descricao = "Porta B3", ambiente = "Bloco B", ativo = true),
    Porta(descricao = "Porta B4", ambiente = "Bloco B", ativo = true),
    Porta(descricao = "Porta B5", ambiente = "Bloco B", ativo = true),
    Porta(descricao = "Porta C1", ambiente = "Bloco C", ativo = true),
    Porta(descricao = "Porta C2", ambiente = "Bloco C", ativo = true),
    Porta(descricao = "Porta C3", ambiente = "Bloco C", ativo = true),
    Porta(descricao = "Porta C4", ambiente = "Bloco C", ativo = true),
    Porta(descricao = "Porta C5", ambiente = "Bloco C", ativo = true),
    Porta(descricao = "Porta D1", ambiente = "Bloco D", ativo = true),
    Porta(descricao = "Porta D2", ambiente = "Bloco D", ativo = true),
    Porta(descricao = "Porta D3", ambiente = "Bloco D", ativo = true),
    Porta(descricao = "Porta D4", ambiente = "Bloco D", ativo = true),
    Porta(descricao = "Porta D5", ambiente = "Bloco D", ativo = true),
)

val sampleDataGroupDoors = listOf(
    GrupoPorta(
        nome = "Salas de Informática",
        descricao = "Todas as portas de salas de Informática",
        ativo = true,
        portas = sampleDataDoors.filter { it.ambiente == "Bloco A" } ),
    GrupoPorta(
        nome = "Salas de Arquitetura e Urbanismo",
        descricao = "Todas as portas das salas de Arquitetura e Urbanismo",
        ativo = true,
        portas = sampleDataDoors.filter { it.ambiente == "Bloco B" } ),
    GrupoPorta(
        nome = "Salas de ADS",
        descricao = "Todas as salas de ADS",
        ativo = true,
        portas = sampleDataDoors.filter { it.ambiente == "Bloco C" } ),
    GrupoPorta(
        nome = "Salas de Matemática",
        descricao = "Todas as salas de Matemática",
        ativo = true,
        portas = sampleDataDoors.filter { it.ambiente == "Bloco D" })
)

val sampleDataGroupUser = listOf(
    GrupoUsuario(
        nome = "Alunos de Informática",
        descricao = "Alunos Matutino do IFRO",
        ativo = true,
        usuarios = sampleData.filter { usuario ->
            usuario.nome in listOf("Vinicius Daniel", "Guilherme", "Fábio", "Lucineia")
        },
        grupoPortas = sampleDataGroupDoors.filter { it.nome == "Salas de Informática"}
    ),
    GrupoUsuario(
        nome = "Salas de Arquitetura e Urbanismo",
        descricao = "Alunos Noturno do IFRO",
        ativo = true,
        usuarios = sampleData.filter { usuario ->
            usuario.nome in listOf("Aminah", "Cristopher", "Mateus", "Pablo")
        },
        grupoPortas = sampleDataGroupDoors.filter { it.nome == "Salas de Arquitetura e Urbanismo"}
    ),
    GrupoUsuario(
        nome = "Alunos de ADS",
        descricao = "Alunos Noturno do IFRO",
        ativo = true,
        usuarios = sampleData.filter { usuario ->
            usuario.nome in listOf("Theodoro", "Alexandre", "Wilgler", "Gabriely")
        },
        grupoPortas = sampleDataGroupDoors.filter { it.nome == "Salas de ADS"}
    ),
    GrupoUsuario(
        nome = "Alunos de Matemática",
        descricao = "Alunos Noturno do IFRO",
        ativo = true,
        usuarios = sampleData.filter { usuario ->
            usuario.nome in listOf("Mirelle", "Luccas", "Gustavo", "José Junior", "Yasmin" )
        },
        grupoPortas = sampleDataGroupDoors.filter { it.nome == "Salas de Matemática"}
    )
)