package com.br.fechadura.mobile.ui.components

import androidx.compose.foundation.background
import androidx.compose.foundation.layout.Arrangement
import androidx.compose.foundation.layout.Row
import androidx.compose.foundation.layout.fillMaxWidth
import androidx.compose.foundation.layout.height
import androidx.compose.foundation.layout.size
import androidx.compose.material3.Icon
import androidx.compose.material3.IconButton
import androidx.compose.runtime.Composable
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.res.painterResource
import androidx.compose.ui.tooling.preview.Preview
import androidx.compose.ui.unit.dp
import androidx.navigation.NavController
import androidx.navigation.compose.rememberNavController
import com.br.fechadura.mobile.R

@Composable
fun BottomAppBar(
    navController: NavController,
) {
    Row(
        horizontalArrangement = Arrangement.SpaceBetween,
        modifier = Modifier
            .fillMaxWidth()
            .height(80.dp),
        verticalAlignment = Alignment.CenterVertically
    ) {

        IconButton(
            onClick = { navController.navigate("usuario") }
        ) {
            Icon(
                painter = painterResource(id = R.drawable.user48) ,
                contentDescription = "Usuário",
                modifier = Modifier.size(40.dp)
            )
        }
        IconButton(
            onClick = { navController.navigate("grupo_usuario") }
        ) {
            Icon(
                painter = painterResource(id = R.drawable.usergroup48) ,
                contentDescription = "Grupo de Usuários",
                modifier = Modifier.size(40.dp)
            )
        }
        IconButton(
            onClick = { navController.navigate("inicio") }
        ) {
            Icon(
                painter = painterResource(id = R.drawable.home48) ,
                contentDescription = "Home",
                modifier = Modifier.size(40.dp)
            )
        }
        IconButton(
            onClick = { navController.navigate("porta") }
        ) {
            Icon(
                painter = painterResource(id = R.drawable.door) ,
                contentDescription = "Portas",
                modifier = Modifier.size(40.dp)
            )
        }
        IconButton(
            onClick = { navController.navigate("grupo_porta") }
        ) {
            Icon(
                painter = painterResource(id = R.drawable.doorgroup) ,
                contentDescription = "Grupo de Portas",
                modifier = Modifier.size(40.dp)
            )
        }
    }
}

@Preview(showSystemUi = true)
@Composable
private fun BottomAppBarPreview() {
    BottomAppBar(navController = rememberNavController())
}