package com.br.fechadura.mobile.ui.screens

import androidx.compose.foundation.Image
import androidx.compose.foundation.layout.*
import androidx.compose.material3.Button
import androidx.compose.material3.ButtonDefaults
import androidx.compose.material3.MaterialTheme
import androidx.compose.material3.Surface
import androidx.compose.material3.Text
import androidx.compose.runtime.*
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.res.painterResource
import androidx.compose.ui.tooling.preview.Preview
import androidx.compose.ui.unit.dp
import androidx.compose.ui.unit.sp
import androidx.navigation.NavController
import androidx.navigation.compose.rememberNavController
import com.br.fechadura.mobile.R
import com.br.fechadura.mobile.ui.theme.BotaoAcesso
import com.br.fechadura.mobile.ui.theme.FechaduraColor
import com.br.fechadura.mobile.ui.theme.FechaduraMobileTheme

@Composable
fun CarregamentoScreen(navController: NavController) {
    
    Surface(
        modifier = Modifier.fillMaxSize(),
        color = FechaduraColor
    ) {
        Column(
            modifier = Modifier.fillMaxSize(),
            verticalArrangement = Arrangement.Center,
            horizontalAlignment = Alignment.CenterHorizontally
        ) {
            Image(
                painter = painterResource(id = R.drawable.logo),
                contentDescription = null,
                modifier = Modifier
                    .padding(bottom = 24.dp)
                    .size(250.dp)
            )
            Spacer(modifier = Modifier.height(40.dp))

            Button(
                onClick = { navController.navigate("login") }, //colocar a tela que vem depois do carregamento que é o login
                modifier = Modifier
                    .padding(16.dp)
                    .height(50.dp)
                    .width(250.dp),
                shape = MaterialTheme.shapes.large,
                colors = ButtonDefaults.buttonColors(
                    containerColor = BotaoAcesso
                )
            ) {
                Text(
                    text = "Acessar a minha conta",
                    color = Color.White,
                    fontSize = 18.sp
                )
            }
        }
    }
}
